eureka:
  instance:
    prefer-ip-address: true #是否优先使用IP地址作为主机名的标识，默认false
    instance-id: ${spring.application.name}:${POD_NAME}:${server.port} #注册到eureka上的唯一实例ID
    lease-renewal-interval-in-seconds: 10 #表示eureka client发送心跳给server端的频率，默认30
    lease-expiration-duration-in-seconds: 30 #表示eureka server至上一次收到client的心跳之后，等待下一次心跳的超时时间，在这个时间内若没收到下一次心跳，则将移除该instance，默认90
  client:
    registry-fetch-interval-seconds: 5  #定时从Eureka Server拉取服务注册信息的间隔时间
    serviceUrl:
      defaultZone: http://deveureka-internal.piaoquantv.com/eureka/

spring:
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 10
      maximum-pool-size: 60
      connection-test-query: SELECT 1
  cloud:
    sentinel:
      eager: true
      transport:
        port: 8719
      log:
        dir: ${datalog}/sentinel
      datasource:
        ds1:
          apollo:
            namespace-name: application
            flow-rules-key: sentinel.flowRules
            default-flow-rule-value: [ ]
            rule-type: flow
  lifecycle:
    timeout-per-shutdown-phase: 30s

  profiles:
    active: dev
  application:
    name: ad-engine
  jackson:
    default-property-inclusion: non_null
  servlet:
    multipart:
      max-file-size: 500MB
      max-request-size: 500MB
project:
  name: ad-engine

server:
  tomcat:
    threads:
      max: 1000
    uri-encoding: UTF-8
    accept-count: 1000
    connection-timeout: 30000
  servlet:
    context-path: /ad-engine
    session:
      timeout: 60
  shutdown: graceful
pagehelper:
  helper-dialect: mysql

#apollo config
app:
  id: ad-engine

apollo:
  bootstrap:
    enabled: true
    namespaces: application,RD.Experiment
    eagerLoad:
      enabled: true
  cacheDir: ${datalog}/apollo-cache-dir

mybatis:
  type-aliases-package: com.tzld.piaoquan.ad.engine.commons.model
  mapper-locations: classpath:mapper/*.xml, classpath:mapper/ext/*.xml
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl

datalog: /datalog

#datalog: /Users/zhao/Desktop/Code/Java/ad-engine

logging:
  file:
    path: ${datalog}/weblog/${project.name}

aliyun:
  log:
    endpoint: cn-hangzhou-intranet.log.aliyuncs.com
    accessKeyId: LTAIP6x1l3DXfSxm
    accessKeySecret: KbTaM9ars4OX3PMS6Xm7rtxGr1FLon
    logstore:
      request: request-log
      info: info-log
      error: error-log
      statistics: statistics-log
      crowdChooseStatistics: crowd-choose-statistics-log
      landingTypeFilter: landingpagetype-filter-error-log
      adPackageData: ad-package-data
    topic:
    threadpool:
      corePoolSize: 100
      maxPoolSize: 100
      keepAliveSeconds: 200
      queueCapacity: 100000

feishu:
  message:
    # 飞书群组预警机器人 ID，不指定发送到 默认消息预警群组
    bot-id: a73cd47d-70b8-4b73-a207-a133021af176
    # 要提醒用户的手机号（多个值用 “,” 隔开）
    at-mobiles: 18612832316
    # 飞书预警服务器地址
    server-url: http://alert-feishu.piaoquantv.com/feishu/sendText


xxl:
  job:
    accessToken:
    executor:
      address:
      appname: ms-${spring.application.name}
      ip:
      logpath: ${datalog}/xxl-job/
      logretentiondays: 30
      port: 9999
grpc:
  client:
    recommend-feature:
      negotiationType: PLAINTEXT
      # KeepAlive 配置（防止空闲连接被网关关闭）
      enable-keep-alive: true
      keep-alive-time: 20s
      keep-alive-timeout: 5s
      keep-alive-without-calls: true
      max-inbound-message-size: 20MB
      negotiation-type: plaintext
    recommend-server:
      max-inbound-message-size: 20MB
      negotiationType: PLAINTEXT
    GLOBAL:
      max-inbound-message-size: 20MB
model:
  xgboost:
    path: xgboost
    path351: xgboost351
